curl --request PATCH \
--url https://api.arcuserp.com/v1/fixed_assets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"serial_number": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"po_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warranty_expiration": "2023-12-25",
"warranty_provider": "<string>",
"warranty_terms": "<string>",
"insurance_policy": "<string>",
"insurance_expiration": "2023-12-25",
"notes": "<string>",
"metadata": {}
}
'import requests
url = "https://api.arcuserp.com/v1/fixed_assets/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"serial_number": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"po_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warranty_expiration": "2023-12-25",
"warranty_provider": "<string>",
"warranty_terms": "<string>",
"insurance_policy": "<string>",
"insurance_expiration": "2023-12-25",
"notes": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
serial_number: '<string>',
category_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
location_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
po_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_bill_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
warranty_expiration: '2023-12-25',
warranty_provider: '<string>',
warranty_terms: '<string>',
insurance_policy: '<string>',
insurance_expiration: '2023-12-25',
notes: '<string>',
metadata: {}
})
};
fetch('https://api.arcuserp.com/v1/fixed_assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_code": "<string>",
"name": "<string>",
"description": "<string>",
"serial_number": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"po_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_basis": 123,
"salvage_value": 123,
"accumulated_depreciation": 123,
"tax_accumulated_depreciation": 123,
"net_book_value": 123,
"useful_life_months": 123,
"placed_in_service_date": "2023-12-25",
"acquisition_date": "2023-12-25",
"disposal_date": "2023-12-25",
"disposal_amount": 123,
"gain_loss_amount": 123,
"gl_asset_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gl_accum_depr_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gl_depr_expense_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"warranty_expiration": "2023-12-25",
"warranty_provider": "<string>",
"warranty_terms": "<string>",
"insurance_policy": "<string>",
"insurance_expiration": "2023-12-25",
"notes": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}Update a fixed asset
Updates non-financial fields on a fixed asset. WRITABLE: name, description, serial_number, category_id, location_id, vendor_id, po_id, vendor_bill_id, warranty_expiration, warranty_provider, warranty_terms, insurance_policy, insurance_expiration, notes, metadata.
LOCKED (use lifecycle actions instead): cost_basis,
useful_life_months, depreciation_method, macrs_class, macrs_convention,
accumulated_depreciation, tax_accumulated_depreciation, status,
disposal_date, disposal_method, disposal_amount, gain_loss_amount,
placed_in_service_date, salvage_value, and the three gl_* account ids.
Attempting to PATCH any locked field returns 400 LOCKED_FIELD with a
hint pointing to /place_in_service / /dispose / /impair / /revalue.
Requires the assets:write scope.
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Path Parameters
Body
Response
Updated asset
A capitalized fixed asset (PP and E) tracked on the entity's books with cost basis, accumulated depreciation, depreciation schedule, and lifecycle state. Lifecycle: pending_service (created, not yet placed in service), active (depreciating), suspended (depreciation halted), fully_depreciated (accumulated depreciation equals depreciable base), disposed (sold/scrapped/donated/traded_in). Scope: assets:read / assets:write. Rule 23 SSOT: cost_basis is written only by createFixedAsset and revalueAsset; accumulated_depreciation is written only by postDepreciation, disposeAsset, impairAsset, and revalueAsset.
Show child attributes
Show child attributes
Was this page helpful?

